Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB

Bug #1700657 reported by Byron Sommardahl on 2017-06-26
94
This bug affects 17 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Undecided
linux (Ubuntu)
Medium
Unassigned
Zesty
Medium
Unassigned

Bug Description

SRU Justification:
[Impact]
Touchpad on Lenovo X1 Yoga / Yoga 720-15IKB does not work.

[Test Case]
Touchpad doesn't work on the system.
With the patch, touchpad works.

[Regression Potential]
Minimal. The it adds a device ID to intel-lpss-pci, so it's limited to
one device.

---

Touchpad is not automatically detected in 14.04, 16.04 or 17.04. I tried in live mode and after full installation. I was able to connect an external mouse and a bluetooth mouse and both worked. I checked my xinput list and no sign:

⎡ Virtual core pointer id=2 [master pointer (3)] ⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Finger touch id=12 [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen stylus id=13 [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen eraser id=16 [slave pointer (2)] ⎜ ↳ byron's trackpad id=17 [slave pointer (2)] ⎣ Virtual core keyboard id=3 [master keyboard (2)] ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)] ↳ Power Button id=6 [slave keyboard (3)] ↳ Video Bus id=7 [slave keyboard (3)] ↳ Video Bus id=8 [slave keyboard (3)] ↳ Power Button id=9 [slave keyboard (3)] ↳ Apple Inc. Magic Keyboard id=10 [slave keyboard (3)] ↳ EasyCamera id=11 [slave keyboard (3)] ↳ Ideapad extra buttons id=14 [slave keyboard (3)] ↳ AT Translated Set 2 keyboard id=15 [slave keyboard (3)]

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: linux-image-4.10.0-24-generic 4.10.0-24.28
ProcVersionSignature: Ubuntu 4.10.0-24.28-generic 4.10.15
Uname: Linux 4.10.0-24-generic x86_64
ApportVersion: 2.20.4-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: byron 1794 F.... pulseaudio
CurrentDesktop: Unity:Unity7
Date: Mon Jun 26 16:51:37 2017
InstallationDate: Installed on 2017-06-26 (0 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
MachineType: LENOVO 80X7
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-24-generic.efi.signed root=UUID=39280165-1a70-4b0d-b1fa-3b01e8bc1e25 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.10.0-24-generic N/A
 linux-backports-modules-4.10.0-24-generic N/A
 linux-firmware 1.164
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/12/2017
dmi.bios.vendor: LENOVO
dmi.bios.version: 4MCN20WW(V1.06)
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: Lenovo YOGA 720-15IKB
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 31
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo YOGA 720-15IKB
dmi.modalias: dmi:bvnLENOVO:bvr4MCN20WW(V1.06):bd04/12/2017:svnLENOVO:pn80X7:pvrLenovoYOGA720-15IKB:rvnLENOVO:rnLenovoYOGA720-15IKB:rvrSDK0J40709WIN:cvnLENOVO:ct31:cvrLenovoYOGA720-15IKB:
dmi.product.name: 80X7
dmi.product.version: Lenovo YOGA 720-15IKB
dmi.sys.vendor: LENOVO

Byron Sommardahl (sommardahl) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.12 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.12

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
F. H. (hoeze) wrote :

I tried it with latest mainline kernel 4.12 on Ubuntu 17.10, but the touchpad is still not working

F. H. (hoeze) on 2017-07-10
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
tags: added: artful
F. H. (hoeze) on 2017-07-10
summary: - Touchpad not detected in Lenovo X1 Yoga
+ Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB
Kai-Heng Feng (kaihengfeng) wrote :

Add "i2c_hid.dyndbg=+p" to the kernel parameter, reboot, then attach `dmesg` here, thanks.

F. H. (hoeze) wrote :

I attached parts of the requested dmesg to this comment.

Is this enough information? I'm a little bit afraid of posting my full dmesg, due to privacy...
(Maybe someone could tell me, how I can automatically censor MAC addresses / other sensitive information..?)

Björn Dahlgren (bjodah) wrote :

I am affected by this bug as well (Lenovo Yoga 720-15IKB, touchpad not detected).

I tried the mainline kernel (4.12.1) but I only see "Loading initial ramdisk ..." and it appears to hang. (removing "quiet" has no effect).

I wanted to try if this diff would fix the problem (hwid from windows device manager):
```
diff --git a/drivers/input/mouse/elan_i2c_core.c b/drivers/input/mouse/elan_i2c_core.c
index d5ab9dd..6a8b40f 100644
--- a/drivers/input/mouse/elan_i2c_core.c
+++ b/drivers/input/mouse/elan_i2c_core.c
@@ -1224,6 +1224,7 @@ static const struct acpi_device_id elan_acpi_id[] = {
  { "ELAN0100", 0 },
  { "ELAN0600", 0 },
  { "ELAN0605", 0 },
+ { "ELAN0651", 0 },
  { "ELAN1000", 0 },
  { }
 };
```

But since I can't even boot I cannot verify if it works.

When I install "linux-image-4.8.0-56-generic" using apt-get install, I get the same error.
If I also (apt-get) install "linux-image-extra-4.8.0-56-generic", it proceeds to give me a
blank screen before hanging (before the Ubuntu splash screen)

Not quite sure how to proceed troubleshooting this, any ideas?

F. H. (hoeze) wrote :

Which ubuntu distribution do you use?

I could test this patch on my own notebook as soon as I got some spare time...

Björn Dahlgren (bjodah) wrote :

I am using Ubuntu 16.04.2, currently running the default 4.8.0-58-generic kernel (works fine except for the touchpad not being detected, had to switch sata mode from raid to ahci for it to detect the ssd though).

Björn Dahlgren (bjodah) wrote :

I managed to boot the kernel I had compiled with the above patch (but not based on 4.12.1 but on 4.8.0). I needed to change to legacy boot mode in BIOS to get it to boot.

F. H. (hoeze) wrote :

This sounds like a problem with SecureBoot.
Did you disable UEFI SecureBoot?

How about the touchpad? Is it working with your kernel?

Björn Dahlgren (bjodah) wrote :

Sorry, forgot to mention the most important bit of information: that did not solve the problem.
Nor did adding "acpi=biosirq" or "i8042.reset" to the kernel line (solutions reported for other computers with similar problems).

Secure boot was disabled throughout. (I have no idea why legacy boot would make a difference but it did)

F. H. (hoeze) wrote :
F. H. (hoeze) wrote :

I just checked my dmesg:
If ACPI is the problem, shouldn't dmesg show some "elan0651" device (although it does not bind any driver to it)?

So, if I cannot find any "elan" string in my dmesg, this should mean that the kernel does not find ANY i2c device with a similar hardware name, shouldn't it?
=> ACPI might not be the problem, rather the hardware identification of the linux kernel..?

F. H. (hoeze) wrote :

I just tried Kernel 4.13 RC2. Nothing changed.
I did not test your "ELAN0651" patch. Maybe both together could enable the touchpad...

However, it would be really helpful to me, if someone could give me a direction, how I can debug this problem.
"cat /sys/bus/i2c/devices/*/name" does not show anything containing "elan", only the WACOM / touch screen part is visible. I really think there is a problem with the elantech driver, but I've got no idea how to check that / identify the problem.

Björn Dahlgren (bjodah) wrote :

I compiled 4.13rc1 including the patch adding the ELAN0651 to the acpi device id array.
It did not help. I think the device is connected over USB:

$ lsusb -vv
...
Bus 001 Device 003: ID 06cb:0081 Synaptics, Inc.
...

There was some discussion here: https://www.reddit.com/r/Lenovo/comments/6alxy3/trackpad_not_working_on_linux_lenovo_yoga_720/

Björn Dahlgren (bjodah) wrote :

I also tried adding this line:

alias usb:v06CBp00081*dc*dsc*dp*ic*isc*ip*in* synaptics_usb

to a file: /etc/modprobe.d/local-aliases.conf

I formatted the line in analogy to lines with usb:v06CB in /lib/modules/4.13.0-999-generic/modules.alias

/sys/kernel/debug/usb/devices still show "Driver=(none)" for the usb device.

I have managed to get my Yoga 720 15"'s touchpad working in Linux Mint (based on Ubuntu)

It's a fairly straightforward issue + patch (missing PCI ID)

Need to re-compile intel-lpss-pci module

On this line: https://github.com/torvalds/linux/blob/master/drivers/mfd/intel-lpss-pci.c#L224

Add "{ PCI_VDEVICE(INTEL, 0xa162), (kernel_ulong_t)&spt_uart_info },"

Recompile and install the new intel-lpss-pci module and touchpad will work.

Kai-Heng Feng (kaihengfeng) wrote :

@CoolStar

Can you send a patch to add the missing ID?

Björn Dahlgren (bjodah) wrote :

With @coolstar's patch the touchpad reported in dmesg:

[ 8.919391] i2c_hid i2c-ELAN0651:00: i2c-ELAN0651:00 supply vdd not found, using dummy regulator
[ 10.555964] i2c_hid i2c-ELAN0651:00: can't add hid device: -5
[ 10.556078] i2c_hid: probe of i2c-ELAN0651:00 failed with error -5
[ 10.556170] elan_i2c i2c-ELAN0651:00: i2c-ELAN0651:00 supply vcc not found, using dummy regulator

but it is not working for me.

Björn Dahlgren (bjodah) wrote :

The previous entries in dmesg was with @coolstar's patch and with the patch to elan_i2c_core.c,
only applying @coolstar's patch for v4.13rc1 i see this in dmesg:

[ 8.995266] i2c_hid i2c-ELAN0651:00: i2c-ELAN0651:00 supply vdd not found, using dummy regulator
[ 10.620352] i2c_hid i2c-ELAN0651:00: can't add hid device: -5
[ 10.620578] i2c_hid: probe of i2c-ELAN0651:00 failed with error -5

The kernel module seems to load:

$ dmesg | grep -i intel_lpss_pci
[ 8.994014] Modules linked in: intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc snd_hda_intel aesni_intel snd_hda_codec aes_x86_64 crypto_simd glue_helper snd_hda_core cryptd snd_hwdep uvcvideo intel_cstate snd_pcm videobuf2_vmalloc intel_rapl_perf videobuf2_memops videobuf2_v4l2 videobuf2_core snd_seq videodev input_leds media serio_raw snd_seq_device snd_timer btusb hci_uart btrtl btbcm snd serdev btqca btintel bluetooth mei_me idma64 virt_dma soundcore mei shpchp(+) processor_thermal_device intel_pch_thermal intel_soc_dts_iosf ecdh_generic intel_lpss_pci(+) nvidia_uvm(POE) ideapad_laptop int3403_thermal sparse_keymap int340x_thermal_zone wmi acpi_pad mac_hid tpm_crb int3400_thermal intel_lpss_acpi acpi_thermal_rel
[ 8.994103] intel_lpss_pci_probe+0x84/0xb7 [intel_lpss_pci]
[ 8.994123] intel_lpss_pci_driver_init+0x1e/0x1000 [intel_lpss_pci]

but it doesn't look like it is getting used:

$ sudo lsmod | grep intel_lpss_pci
intel_lpss_pci 20480 0
intel_lpss 16384 2 intel_lpss_pci,intel_lpss_acpi

Wonder if there might be something with the kernel versions... can you try applying the intel-lpss-pci patch on top of an unpatched Ubuntu 4.10 kernel? I tested the patch with 4.10.0-28-generic here

Also, the BIOS version on my Yoga 720 15" (where my patch is working) is 4MCN20WW (so we can try seeing if we can get reproducible results).

Björn Dahlgren (bjodah) wrote :

Thanks, I'm on the same BIOS version. Compiling for the 4.10.0-28 kernel did not help in my case:

$ dmesg | grep -i elan
[ 9.312172] i2c_hid i2c-ELAN0651:00: can't add hid device: -5
[ 9.330609] i2c_hid: probe of i2c-ELAN0651:00 failed with error -5

F. H. (hoeze) wrote :

I also compiled linux kernel 4.10.17 with your patch.
Using your patch causes crashing of the "i2c_designware" driver (see attachment).
I also tried the current Linux kernel commit (=> 4.13), with the same result.

F. H. (hoeze) wrote :
Björn Dahlgren (bjodah) wrote :

Looking closer at my dmesg that happens for me too (see attached file)

Here's the kernel image + headers I'm using and the patched module I'm using:

Kernel Image: http://archive.ubuntu.com/ubuntu/pool/main/l/linux-hwe/linux-image-4.10.0-28-generic_4.10.0-28.32~16.04.2_amd64.deb

Kernel Headers: http://archive.ubuntu.com/ubuntu/pool/main/l/linux-hwe/linux-headers-4.10.0-28-generic_4.10.0-28.32~16.04.2_amd64.deb

http://archive.ubuntu.com/ubuntu/pool/main/l/linux-hwe/linux-headers-4.10.0-28_4.10.0-28.32~16.04.2_all.deb

Download and install the 3 debs linked above, then move the attached intel-lpss-pci.ko into /lib/modules/4.10.0-28-generic/kernel/drivers/mfd/intel-lpss-pci.ko, then reboot and select Linux 4.10.0-28-generic

Will attach the source for the attached module in the next comment.

Should see something like this in dmesg when the touchpad is working:

[ 8.628260] input: Wacom HID 50FC Pen as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-20/i2c-WCOM50FC:00/0018:056A:50FC.0005/input/input14
[ 8.628328] input: Wacom HID 50FC Finger as /devices/pci0000:00/0000:00:15.1/i2c_designware.1/i2c-20/i2c-WCOM50FC:00/0018:056A:50FC.0005/input/input15
[ 8.628388] wacom 0018:056A:50FC.0005: hidraw3: I2C HID v1.00 Mouse [WCOM50FC:00 056A:50FC] on i2c-WCOM50FC:00
[ 8.648330] hid-multitouch 0018:04F3:3052.0006: Ignoring the extra HID_DG_INPUTMODE
[ 8.648365] input: ELAN0651:00 04F3:3052 Touchpad as /devices/pci0000:00/0000:00:15.2/i2c_designware.2/i2c-21/i2c-ELAN0651:00/0018:04F3:3052.0006/input/input19
[ 8.648460] hid-multitouch 0018:04F3:3052.0006: input,hidraw4: I2C HID v1.00 Mouse [ELAN0651:00 04F3:3052] on i2c-ELAN0651:00

aha I see the problem with the previous patch I posted here (copy error):

"{ PCI_VDEVICE(INTEL, 0xa162), (kernel_ulong_t)&spt_uart_info }," is incorrrect, it should be
"{ PCI_VDEVICE(INTEL, 0xa162), (kernel_ulong_t)&spt_i2c_info },". Whoops!

Kai-Heng Feng (kaihengfeng) wrote :

@CoolStar

Can you send a patch to upstream so we can backport it to Zesty kernel?

Björn Dahlgren (bjodah) wrote :

@CoolStar thanks! Applying the updated patch works for me (I applied it to v4.13rc1)

F. H. (hoeze) wrote :

I created a git repository with the patch:
https://github.com/Hoeze/linux/tree/zesty
The requested patch is attached to this comment.

I also tried it with Kernel 4.13; it's working like a charm (yay)!
Thank you very much, CoolStar!

F. H. (hoeze) on 2017-07-31
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
tags: added: patch
Mike Schwartz (mykesx) wrote :

Instructions in post #30 did not work for me. In fact, my machine now won't boot.

Fresh install of kubuntu 16.04.

Downloaded the 3 .deb files, dpkg -i them all
Downloaded the .ko file and copied over the specified location

System boots into busybox command prompt

Choosing the previous kernel, safe mode or not, from grub menu and the system stops booting after printing "Loading initial ramdisk"

No big deal, I'll reinstall and use a mouse until the kernel makes it into the repositories.

When can we expect an apt dist-upgrade to get the patched/fixed kernels?

Mike Schwartz (mykesx) wrote :

^^^ Sorry, that was 17.04 (Kubuntu)

F. H. (hoeze) wrote :

@mykesx:
If you don't want to wait for a upstream fix I'd recommend you to simply compile your own kernel like described here:
https://wiki.ubuntu.com/KernelTeam/GitKernelBuild

You can either use my repository (https://github.com/Hoeze/linux/tree/zesty) for Ubuntu Kernel 4.10.17 or you clone git://kernel.ubuntu.com/ubuntu/ubuntu-zesty.git and add the patch yourself.

(However, I experienced Kernel 4.13 as much more stable on the Yoga 720-15, so you might consider using the current development version of linux: https://github.com/torvalds/linux.git)

Mike Schwartz (mykesx) wrote :

Thanks

How long does it take for an upstream fix?

I'm a long time C/C++ programmer (40+ years). I built kernels since the 0.99 days...

So far, though, all I'm getting is black screens after loading the ram disk. Seems like the graphics drivers aren't loading. Normally the screen shows the Kubuntu graphic loading/splash screen at that point.

I tried 4.13, 4.12, and 4.10 kernel builds.

I'm going to give it one more try from the github repo (linus')

Björn Dahlgren (bjodah) wrote :

@mykesx I had the same problem, for some reason (I have no idea why) changing to legacy boot in BIOS helped. For 4.13rc I cloned: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13-rc3/, applied the ubuntu specific patches, added the PCI id line and set do_zfs = false in debian.master/rules.d/amd64.mk (never figured out how to compile spl/zfs).

Mike Schwartz (mykesx) wrote :

@bjorn I have come to the same conclusion. THere's something about the kernel build process that yields a kernel that won't work due to some setting in the BIOS. Yet kernels on the install media and from apt-get dist-upgrade do work fine.

I tried turning on and off secure boot, etc., with no luck.

I don't want to toast my windows install, so some of the bios settings I didn't want to touch. The funny thing is I will probably not use the windows install so much, but it's the only real windows on hardware I have.

Linux does look outstanding on the 720, except for the trackpad issue. I have several linux boxes here that I use and am into docker and AWS and other services that use it.

Going back to use windows 10 after not using windows for several years was just terrible. I remember why I never liked it much, except when it was all there was.

Björn Dahlgren (bjodah) wrote :

@mykesx, I can relate, I'm in the same position (I set predefined charge level in windows for example, since yoga notebooks are not supported by tp_smapi). I've managed to keep the Windows install functioning (rebooted into safe mode when changing SATA mode from RAID to AHCI.

Mike Schwartz (mykesx) wrote :

@bjorn exactly what I did.

Windows 10 shows up under Ubuntu and Advanced Boot options on the Grub screen, and it boots into Windows 10 just fine.

And the trackpad works in Windows... BOO!

sdfsdf (sydd) wrote :

Thanks for the fix CoolStar! When will this patch integrated into the main Linux kernel?

Mike Schwartz (mykesx) wrote :

The patch isn't in the 4.13 master branch code.

https://github.com/torvalds/linux/blob/master/drivers/mfd/intel-lpss-pci.c

I think someone needs to make a pull request and lobby to get it merged :)

Kai-Heng Feng (kaihengfeng) wrote :

I can send a patch to upstream. Let's wait for CoolStar's response.

Mike Schwartz (mykesx) wrote :

I got it working!

It was definitely a bios setting. I made every paranoid kind of change without resorting to changing to legacy boot mode.

4.13.0-rc3 with the patch works. I have trackpad.

Mike Schwartz (mykesx) wrote :

It seems that I have to power off the laptop and power it on to reboot, or I just get a black screen.

Björn Dahlgren (bjodah) wrote :

@mykesx, yes, it was my impression that "changing" a value in BIOS twice (to its original value was not an idempotent operation -- hence there are bugs in the BIOS). I can reproduce the black screen when rebooting, but it also happens for me on an unpatched kernel. I guess you should open a separate bug for that?

Mike Schwartz (mykesx) wrote :

definitely. If I sudo reboot, I get black screen and no boot. If I power off the machine and boot, it works.

Could be the RC kernel.

Yes, this should be submitted upstream, although I don't know how to submit it myself. kaihengfeng, if you could submit it and just give me credit for the patch that would be great :)

@mykesx I think that might be a problem with GRUB. I wasn't able to boot Ubuntu here at all (not even the installer) until I used another PC to install to a USB SSD, replaced GRUB with rEFInd, then plugged the USB SSD into the Yoga and booted up

Mike Schwartz (mykesx) wrote :

@CoolStar You have to change the bios to AHCI for the USB thumbdrive install image to boot. At least for me. I mean, we all have the same Yoga 720 15" laptop, right?

I didn't want to toast my Windows 10 install, so I resized the Windows partition to 1/2, leaving 1/2 for Ubuntu.

The instructions here: http://triplescomputers.com/blog/uncategorized/solution-switch-windows-10-from-raidide-to-ahci-operation/

^^^ how to change Windows to boot from AHCI mode.

The way to submit upstream, I think, is to fork the kernel repository, apply the patch, then submit a pull request.

Once you've pushed your changes to your fork, there will be a button on the github page (for your fork) to create the Pull Request.

If there are issues on the GitHub page, you can link to the PR with a new request.

I think you deserve the credit for getting the PR in :)

Mike Schwartz (mykesx) wrote :

@CoolStar nothing to do.

https://github.com/torvalds/linux/pull/444

@Hoeze made the PR already.

Mike Schwartz (mykesx) wrote :

I must say the 720 is zippy to use. It took me 36-38 minutes to do a complete kernel build. apt-et update/upgrade takes just a few seconds. At least with KDE (other desktops may vary), I was able to adjust the font sizes, and other window decorations and the like to make the environment look great (to me) in 4K resolution.

I don't think the kernel recognized the NVIDIA graphics at all. Nothing in dmesg.

The fingerprint reader doesn't work with any of the suggested packages. That would be sweet - to be able to log in and do sudo password with the fingerprint reader instead of typing.

Otherwise, I haven't seen much that doesn't work. It suspends and resumes proper.

I guess the only other nit is that sometimes I have to power cycle/reboot one or more times to get the machine to boot into Ubuntu. Certainly sudo reboot does reboot into a black screen every time (that I've seen so far).

@mykesx I already set my drive's mode to AHCI and reinstalled Windows first thing :)

(was setting up a triple-boot Hackintosh on here anyways)

but like I said, the issue seems to be with GRUB; Linux boots fine with no issues if I use rEFInd to boot an already-installed Ubuntu on a USB SSD (and the internal SSD can be viewed/written to from Linux just fine once booted). It just doesn't boot if I use GRUB (black screen hang)

F. H. (hoeze) wrote :

Hi, I already created a pull request on Github.
@mykesx already noted, that I made a indentation error.
I updated the patch, see attachment.

However, I am not shure, how I should publish this patch for Kernel 4.13.
Github tells me that I have to publish it by sending the patch to the corresponding maintainers.

I tried that using git send-email:
git send-email --to <email address hidden> --cc <email address hidden> 0001-Fix-missing-PCI-ID-thanks-to-CoolStar.patch

Nevertheless, I could not find the patch on the linux-kernel mailing list, not to mention the wrongly formatted patch ^^
Now I'm not sure, if I should simply re-call this command...

If someone wants to try publishing the patch himself I'd really appreciate that :)
Or simply tell me, what I'm doing wrong ^^

F. H. (hoeze) wrote :

Never mind, I think I got it working:
https://lkml.org/lkml/2017/8/3/765

Mike Schwartz (mykesx) wrote :

@kaihengfeng

Can you please assure this gets in the queue to get merged into master?

The file in question hasn't been changed since early July, so not merged. It would be awesome to not have to build custom kernels all the time the kernel needs to be updated.

Kai-Heng Feng (kaihengfeng) wrote :

Actually I can't, I am not the maintainer for the subsystem.

Maintainer already raised his concern, hoeze needs to address those concerns and resend a v2 patch.

F. H. (hoeze) wrote :

Yes, I'm currently not at home, so I'll have to wait until tomorrow to re-try.

F. H. (hoeze) wrote :

OK, I'm still fixing the patch ^^

@mykesx and @bjodah:
I just discovered the "tested-by" tag. Would you mind if I put your names into this field?

Not at all, go ahead and add mine. Thanks!

On Aug 12, 2017 18:15, "F. H." <email address hidden> wrote:

OK, I'm still fixing the patch ^^

@mykesx and @bjodah:
I just discovered the "tested-by" tag. Would you mind if I put your names
into this field?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1700657

Title:
  Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1700657/+subscriptions

Mattia (io-mattia98) wrote :

I downloaded the kernel source (newest stable), added the line you mentioned and compiled it. It works for me.

Mike Schwartz (mykesx) wrote :

Please do use my email or name, etc.

B

Mike Schwartz (mykesx) wrote :

The title of the email might be better to include the directory path to the file, and a brief description.

Use the body of the email to mention Lenovo.

I assume you already got that feedback...

Mattia (io-mattia98) wrote :

Could we please get any report on the progress? Did someone respond?

F. H. (hoeze) wrote :

The patch is accepted upstream, but has to be backported to Ubuntu kernels <= 4.13.
See also https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1710392

Byron Sommardahl (sommardahl) wrote :
Download full text (3.6 KiB)

How can I install the version on Ubuntu with this fix?

On Sat, Sep 9, 2017, 7:20 PM Mike Schwartz <email address hidden> wrote:

> Looks to me like the patch is in Ubuntu kernel.
>
> http://kernel.ubuntu.com/git/kernel-
> ppa/mirror/linux.git/tree/drivers/mfd/intel-lpss-pci.c
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1700657
>
> Title:
> Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB
>
> Status in Linux:
> Unknown
> Status in linux package in Ubuntu:
> Fix Committed
>
> Bug description:
> Touchpad is not automatically detected in 14.04, 16.04 or 17.04. I
> tried in live mode and after full installation. I was able to connect
> an external mouse and a bluetooth mouse and both worked. I checked my
> xinput list and no sign:
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)] ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)] ⎜ ↳ Wacom HID 50FE Finger touch id=12
> [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen stylus
> id=13 [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen eraser
> id=16 [slave pointer (2)] ⎜ ↳ byron's trackpad
> id=17 [slave pointer (2)] ⎣ Virtual core keyboard
> id=3 [master keyboard (2)] ↳ Virtual core XTEST keyboard
> id=5 [slave keyboard (3)] ↳ Power Button
> id=6 [slave keyboard (3)] ↳ Video Bus
> id=7 [slave keyboard (3)] ↳ Video Bus
> id=8 [slave keyboard (3)] ↳ Power Button
> id=9 [slave keyboard (3)] ↳ Apple Inc. Magic Keyboard
> id=10 [slave keyboard (3)] ↳ EasyCamera
> id=11 [slave keyboard (3)] ↳ Ideapad extra buttons
> id=14 [slave keyboard (3)] ↳ AT Translated Set 2 keyboard
> id=15 [slave keyboard (3)]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: linux-image-4.10.0-24-generic 4.10.0-24.28
> ProcVersionSignature: Ubuntu 4.10.0-24.28-generic 4.10.15
> Uname: Linux 4.10.0-24-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: byron 1794 F.... pulseaudio
> CurrentDesktop: Unity:Unity7
> Date: Mon Jun 26 16:51:37 2017
> InstallationDate: Installed on 2017-06-26 (0 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> MachineType: LENOVO 80X7
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-24-generic.efi.signed
> root=UUID=39280165-1a70-4b0d-b1fa-3b01e8bc1e25 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.10.0-24-generic N/A
> linux-backports-modules-4.10.0-24-generic N/A
> linux-firmware 1.164
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 04/12/2017
> dmi.bios.vendor: LENOVO
> dmi.bios.version: 4MCN20WW(V1.06)
> dmi.board.asset.tag: NO Asset Tag
> dmi.board.name: Lenovo YOGA 720-15IKB
> dmi.board.vendor: LENOVO
> dmi.board.version: SDK0J40709 WIN
> dmi.chassis.asse...

Read more...

Darn, fix is definitely not released yet. I bumped it. I don't have authority to bump it back however.

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
sdfsdf (sydd) wrote :

So will this be in the 17.10 release? The fix is in the Linux kernel since a month.

description: updated
Stefan Bader (smb) on 2017-10-05
Changed in linux (Ubuntu Zesty):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Zesty):
status: In Progress → Fix Committed
Byron Sommardahl (sommardahl) wrote :
Download full text (4.1 KiB)

Sorry for the ignorance. Does "fix committed" mean it is ready to be
installed on my computer? If so, can you share a link for the correct
download?

On Mon, Oct 9, 2017, 2:01 PM Thadeu Lima de Souza Cascardo <
<email address hidden>> wrote:

> ** Changed in: linux (Ubuntu Zesty)
> Status: In Progress => Fix Committed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1700657
>
> Title:
> Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB
>
> Status in Linux:
> Unknown
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Zesty:
> Fix Committed
>
> Bug description:
> SRU Justification:
> [Impact]
> Touchpad on Lenovo X1 Yoga / Yoga 720-15IKB does not work.
>
> [Test Case]
> Touchpad doesn't work on the system.
> With the patch, touchpad works.
>
> [Regression Potential]
> Minimal. The it adds a device ID to intel-lpss-pci, so it's limited to
> one device.
>
> ---
>
> Touchpad is not automatically detected in 14.04, 16.04 or 17.04. I
> tried in live mode and after full installation. I was able to connect
> an external mouse and a bluetooth mouse and both worked. I checked my
> xinput list and no sign:
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)] ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)] ⎜ ↳ Wacom HID 50FE Finger touch id=12
> [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen stylus
> id=13 [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen eraser
> id=16 [slave pointer (2)] ⎜ ↳ byron's trackpad
> id=17 [slave pointer (2)] ⎣ Virtual core keyboard
> id=3 [master keyboard (2)] ↳ Virtual core XTEST keyboard
> id=5 [slave keyboard (3)] ↳ Power Button
> id=6 [slave keyboard (3)] ↳ Video Bus
> id=7 [slave keyboard (3)] ↳ Video Bus
> id=8 [slave keyboard (3)] ↳ Power Button
> id=9 [slave keyboard (3)] ↳ Apple Inc. Magic Keyboard
> id=10 [slave keyboard (3)] ↳ EasyCamera
> id=11 [slave keyboard (3)] ↳ Ideapad extra buttons
> id=14 [slave keyboard (3)] ↳ AT Translated Set 2 keyboard
> id=15 [slave keyboard (3)]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: linux-image-4.10.0-24-generic 4.10.0-24.28
> ProcVersionSignature: Ubuntu 4.10.0-24.28-generic 4.10.15
> Uname: Linux 4.10.0-24-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: byron 1794 F.... pulseaudio
> CurrentDesktop: Unity:Unity7
> Date: Mon Jun 26 16:51:37 2017
> InstallationDate: Installed on 2017-06-26 (0 days ago)
> InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
> MachineType: LENOVO 80X7
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.10.0-24-generic.efi.signed
> root=UUID=39280165-1a70-4b0d-b1fa-3b01e8bc1e25 ro quiet splash vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-4.10.0-24-generic N/A
> linux-backpor...

Read more...

rubo77 (rubo77) wrote :

can someone please add a link to a instruction for someone who has never heard of "compile your kernel with the patch" that explains step by step the commands, they have to enter on the console please?

Or someone who managed to do this already serves the patched 4.13 kernel with a working touchpad?

We need a workaround for everyone here until this is solved.

F. H. (hoeze) wrote :

The simplest way is to install the latest linux mainline kernel on Ubuntu:
http://kernel.ubuntu.com/~kernel-ppa/mainline/
Just download and "dpkg -i" the corresponding .deb packages.

Further instructions how to install mainline kernels on Ubuntu:
https://wiki.ubuntu.com/Kernel/MainlineBuilds

rubo77 (rubo77) wrote :

I tried that like described here: https://askubuntu.com/a/963779/34298

And installing the latest mainline Kernel 14.4-rc4 will get the Touchpad running, but it also adds a new bug: IP4 is not running with the new Kernel on the Lenovo 720-15IKB: https://unix.stackexchange.com/questions/397708/get-ip4-running-with-kernel-4-14-rc4

Mattia (io-mattia98) wrote :

I just downloaded the source to the newest stable kernel from kernel.org, manually added the line that fixes this bug with a text editor and followed this guide to compile it: https://wiki.ubuntu.com/KernelTeam/GitKernelBuild

It's way more fun this way and you'll have the freshest stable kernel! I've been using this method since early august and it has been working out fine. But once 17.10 comes out I suppose this won't be a problem anymore..

Aswin Gigi (aswingigi) wrote :

Was trying to troubleshoot this after I got my 720 yesterday day and this thread was a godsend, I downloaded the latest stable kernel, applied the line patch and it worked perfectly. Thanks!! :D

But I think one issue that I am running into is what others mentioned above, I have to power cycle/reboot one or more times to get the machine to boot into Ubuntu, otherwise I just get a black screen and it hangs. I think it was mentioned above that it was a problem with GRUB mostly, is there an easy way to fix that ?

Mattia (io-mattia98) wrote :
Download full text (4.4 KiB)

Huh.. I've never had that problem.. What does it say when you press ESC at
the "black screen"?

On Fri, 13 Oct 2017, 17:51 Aswin Gigi, <email address hidden> wrote:

> Was trying to troubleshoot this after I got my 720 yesterday day and
> this thread was a godsend, I downloaded the latest stable kernel,
> applied the line patch and it worked perfectly. Thanks!! :D
>
> But I think one issue that I am running into is what others mentioned
> above, I have to power cycle/reboot one or more times to get the machine
> to boot into Ubuntu, otherwise I just get a black screen and it hangs. I
> think it was mentioned above that it was a problem with GRUB mostly, is
> there an easy way to fix that ?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1700657
>
> Title:
> Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB
>
> Status in Linux:
> Unknown
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux source package in Zesty:
> Fix Committed
>
> Bug description:
> SRU Justification:
> [Impact]
> Touchpad on Lenovo X1 Yoga / Yoga 720-15IKB does not work.
>
> [Test Case]
> Touchpad doesn't work on the system.
> With the patch, touchpad works.
>
> [Regression Potential]
> Minimal. The it adds a device ID to intel-lpss-pci, so it's limited to
> one device.
>
> ---
>
> Touchpad is not automatically detected in 14.04, 16.04 or 17.04. I
> tried in live mode and after full installation. I was able to connect
> an external mouse and a bluetooth mouse and both worked. I checked my
> xinput list and no sign:
>
> ⎡ Virtual core pointer id=2 [master pointer
> (3)] ⎜ ↳ Virtual core XTEST pointer id=4 [slave
> pointer (2)] ⎜ ↳ Wacom HID 50FE Finger touch id=12
> [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen stylus
> id=13 [slave pointer (2)] ⎜ ↳ Wacom HID 50FE Pen eraser
> id=16 [slave pointer (2)] ⎜ ↳ byron's trackpad
> id=17 [slave pointer (2)] ⎣ Virtual core keyboard
> id=3 [master keyboard (2)] ↳ Virtual core XTEST keyboard
> id=5 [slave keyboard (3)] ↳ Power Button
> id=6 [slave keyboard (3)] ↳ Video Bus
> id=7 [slave keyboard (3)] ↳ Video Bus
> id=8 [slave keyboard (3)] ↳ Power Button
> id=9 [slave keyboard (3)] ↳ Apple Inc. Magic Keyboard
> id=10 [slave keyboard (3)] ↳ EasyCamera
> id=11 [slave keyboard (3)] ↳ Ideapad extra buttons
> id=14 [slave keyboard (3)] ↳ AT Translated Set 2 keyboard
> id=15 [slave keyboard (3)]
>
> ProblemType: Bug
> DistroRelease: Ubuntu 17.04
> Package: linux-image-4.10.0-24-generic 4.10.0-24.28
> ProcVersionSignature: Ubuntu 4.10.0-24.28-generic 4.10.15
> Uname: Linux 4.10.0-24-generic x86_64
> ApportVersion: 2.20.4-0ubuntu4
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: byron 1794 F.... pulseaudio
> CurrentDesktop: Unity:Unity7
> Date: Mon Jun 26 16:51:37 2017
> InstallationDate: Installed on 2017-06-26 (0 days ago)
> Instal...

Read more...

rubo77 (rubo77) wrote :

I tried this instructions: https://wiki.ubuntu.com/Kernel/BuildYourOwnKernel

# add sources
sed -i "/^#.*deb-src.*main restricted$/s/^# //g" /etc/apt/sources.list
apt update
apt source linux-image-$(uname -r)
. /etc/lsb-release
git clone --depth=1 git://kernel.ubuntu.com/ubuntu/ubuntu-$DISTRIB_CODENAME.git

# this is the file that has to be patched accordint to @CoolStar:
FILE=linux-4.13.0/drivers/mfd/intel-lpss-pci.c
LINE='{ PCI_VDEVICE(INTEL, 0xa162), (kernel_ulong_t)&spt_i2c_info },'
ADD='{ PCI_VDEVICE(INTEL, 0xa162), (kernel_ulong_t)&spt_uart_info },'
sed -i "/$LINE/a $ADD" $FILE

but the value "0xa162" seems not to be there in that file any more!

So I am stuck here.

And at the end can you explain how to recompile and install the new intel-lpss-pci module please?

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-zesty' to 'verification-done-zesty'. If the problem still exists, change the tag 'verification-needed-zesty' to 'verification-failed-zesty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-zesty
F. H. (hoeze) wrote :

I installed this kernel on my Ubuntu 17.10 Arful Awkward, but it does not seem to work since kernel 4.10 is too old for my Lenovo Yoga 720-15.
(Link: https://launchpad.net/ubuntu/zesty/amd64/linux-image-4.10.0-38-generic/4.10.0-38.42 )

Could you please publish a kernel 4.13 for artful, since it should be released tomorrow anyway?

Aswin Gigi (aswingigi) wrote :

Sorry for the late reply but @io-mattia98, even hitting escape doesn't do anything for me when the system freezes.

@kleber-souza the patch does work as expected but just that the system hangs while restarting, but if you power if off and restart it works again, which I assume is an issue with GRUB.

Adam Drew (adamrdrew1982) wrote :

What's the current status on this? I updated to artful and expected this to be fixed but my touchpad no longer works (I'd build a patched 4.10 with the fix on zenial).

Do we still have to build our own kernel on artful? Is there a package in proposed for artful? I couldn't find one. Is there another bug open for this on artful?

And, technical stuff aside, this bug is 4 months old and was reported on the last release - why isn't this in artful?

Adam Drew (adamrdrew1982) wrote :

Built a new kernel from the Ubuntu git and applied the patch to intel-lpss-pci.c and the trackpad works fine again. I hope this gets into artful very soon.

Kai-Heng Feng (kaihengfeng) wrote :

It's in zesty-proposed. You need to enable -proposed to test it.

F. H. (hoeze) on 2017-10-20
tags: added: verification-done-zesty
removed: verification-needed-zesty
rubo77 (rubo77) wrote :

@Aswin Gigi (aswingigi): I also had the problem that the boot freezes when I try to start with 14.4-rc5 and I solved it by disabling secureboot in bios.

Now I can get ubuntu running with a working touchpad, but the wifi is not working at first: I dont't get any IP4 in my WiFi.

I had to connect a USB-wired LAN adapter once and that seems somehow to have fixed a misconfiguration somewhere. Now everything works fine: Touchpad and Internet.

rubo77 (rubo77) wrote :

Everything works fine now with kernel 14.4.0-041400rc5 apart from DHCP. I still have to use manual IP4-settings to set my IP.

rubo77 (rubo77) wrote :

I found out, that networking there is only broken due to a bug in the apparmor settings, you can fix this by

    sudo apt install apparmour-utils
    sudo aa-complain /etc/apparmor.d/sbin.dhclient

Then everything runs fine

Changed in linux:
importance: Unknown → Undecided
status: Unknown → Confirmed
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package linux - 4.10.0-38.42

---------------
linux (4.10.0-38.42) zesty; urgency=low

  * linux: 4.10.0-38.42 -proposed tracker (LP: #1722330)

  * Controller lockup detected on ProLiant DL380 Gen9 with P440 Controller
    (LP: #1720359)
    - scsi: hpsa: limit transfer length to 1MB

  * [Dell Docking IE][0bda:8153] Realtek USB Ethernet leads to system hang
    (LP: #1720977)
    - r8152: fix the list rx_done may be used without initialization

  * Touchpad not detected in Lenovo X1 Yoga / Yoga 720-15IKB (LP: #1700657)
    - mfd: intel-lpss: Add missing PCI ID for Intel Sunrise Point LPSS devices

  * Add installer support for Broadcom BCM573xx network drivers. (LP: #1720466)
    - d-i: Add bnxt_en to nic-modules.

  * CVE-2017-1000252
    - KVM: VMX: Do not BUG() on out-of-bounds guest IRQ

  * CVE-2017-10663
    - f2fs: sanity check checkpoint segno and blkoff

  * xfstest sanity checks on seek operations fails (LP: #1696049)
    - xfs: fix off-by-one on max nr_pages in xfs_find_get_desired_pgoff()

  * [P9, Power NV][ WSP][Ubuntu 16.04.03] : perf hw breakpoint command results
    in call traces and system goes for reboot. (LP: #1706033)
    - powerpc/64s: Handle data breakpoints in Radix mode

  * 5U84 - ses driver isn't binding right - cannot blink lights on 1 of the 2
    5u84 (LP: #1693369)
    - scsi: ses: do not add a device to an enclosure if enclosure_add_links()
      fails.

  * Vlun resize request could fail with cxlflash driver (LP: #1713575)
    - scsi: cxlflash: Fix vlun resize failure in the shrink path

  * More migrations with constant load (LP: #1713576)
    - sched/fair: Prefer sibiling only if local group is under-utilized

  * New PMU fixes for marked events. (LP: #1716491)
    - powerpc/perf: POWER9 PMU stops after idle workaround

  * CVE-2017-14340
    - xfs: XFS_IS_REALTIME_INODE() should be false if no rt device present

  * [Zesty][Yakkety] rtl8192e bug fixes (LP: #1698470)
    - staging: rtl8192e: rtl92e_fill_tx_desc fix write to mapped out memory.
    - staging: rtl8192e: fix 2 byte alignment of register BSSIDR.
    - staging: rtl8192e: rtl92e_get_eeprom_size Fix read size of EPROM_CMD.
    - staging: rtl8192e: GetTs Fix invalid TID 7 warning.

  * Stranded with ENODEV after mdadm --readonly (LP: #1706243)
    - md: MD_CLOSING needs to be cleared after called md_set_readonly or
      do_md_stop

  * multipath -ll is not showing the disks which are actually multipath
    (LP: #1718397)
    - fs: aio: fix the increment of aio-nr and counting against aio-max-nr

  * ETPS/2 Elantech Touchpad inconsistently detected (Gigabyte P57W laptop)
    (LP: #1594214)
    - Input: i8042 - add Gigabyte P57 to the keyboard reset table

  * CVE-2017-10911
    - xen-blkback: don't leak stack data via response ring

  * CVE-2017-11176
    - mqueue: fix a use-after-free in sys_mq_notify()

  * implement 'complain mode' in seccomp for developer mode with snaps
    (LP: #1567597)
    - Revert "UBUNTU: SAUCE: seccomp: log actions even when audit is disabled"
    - seccomp: Provide matching filter for introspection
    - seccomp: Sysctl to display available actions
    - seccomp: Operation for checking if an a...

Read more...

Changed in linux (Ubuntu Zesty):
status: Fix Committed → Fix Released
Jack Smith (jacksmith) wrote :

Why didn't this land in mainline yet?

Björn Dahlgren (bjodah) wrote :

I just tried the daily ISO of Bionic Beaver and there the touchpad doesn't work either (4.13.0-25-generic)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.